Bug 426202 - Make Xenoprof flush samples when it is stopped
Make Xenoprof flush samples when it is stopped
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Markus Armbruster
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-12-19 04:38 EST by Markus Armbruster
Modified: 2009-01-22 07:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-22 07:30:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2007-12-19 04:38:45 EST
xen-unstable changeset 16612 might be useful.  Exact impact is unclear.

changeset:   16612:8aa377fb1b1f
user:        Keir Fraser <keir.fraser@citrix.com>
date:        Fri Dec 14 10:25:00 2007 +0000
files:       xen/common/xenoprof.c
xenoprof: flush remaining smples when sampling is stopped.

Xenoprof notifies guest kernel via VIRQ_XENOPROF when sampled.
But it does coarsly based on heuristic so that sometimes VIRQ_XENOPROF
isn't delivered resulting in that oprofile daemon collects no sample.
To avoid that situation, always send VIRQ_XENOPROF when sampling is

Signed-off-by: Isaku Yamahata <yamahata@valinux.co.jp>
Comment 1 RHEL Product and Program Management 2008-06-09 17:59:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update

Note You need to log in before you can comment on or make changes to this bug.